Generate shipments on a ground schedule in an ad hoc manner

post

/custom-actions/forceGenerateShipments/repetitionSchedules/{repetitionScheduleID}

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request parameters to generate shipments on a ground schedule in an ad hoc manner.
Show Source
Back to Top

Response

Supported Media Types

200 Response

Success! A successful POST method returns a 200 status code.
Body ()
Root Schema : forceGenerateShipmentsResponse
Type: object
Response of generated ground schedule shipments.
Show Source
Nested Schema : shipments
Type: array
List of generated shipment IDs.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : errorResponse
Type: object
Show Source

401 Response

Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Body ()
Root Schema : errorResponse
Type: object
Show Source

403 Response

Access to the specified resource has been forbidden.
Body ()
Root Schema : errorResponse
Type: object
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : errorResponse
Type: object
Show Source
Back to Top